// Laser.js v0.2.0, by Edward Hotchkiss <edward@candidblend.la>
// http://github.com/CandidBlend/Laser.js
(function(window){"use strict";var Laser=window.Laser=function Laser(params){_.extend(this,params);this.listeners={};this.state="blank";this.animations=[];this.direction="forward";this.DEBUG=this.DEBUG||/http(s)?:\/\/(localhost:8888|[^\/]+.local|192\.168\.1\..*)\//.test(window.location);this.console=typeof window.console==="object";return this};var _cachedElements={};var _div=document.createElement("div");var _objList=_div.style;var _omPrefixes=["","webkit","Moz","o","ms"];var _transitionend=["webkitTransitionEnd","oTransitionEnd","otransitionend","transitionend","msTransitionEnd"].join(" ");var _transformTypes=["matrix","matrix3d","translate","translate3d","translateX","translateY","translateZ","scale","scale3d","scaleX","scaleY","scaleZ","rotate","rotate3d","rotateX","rotateY","rotateZ","skew","skewX","skewY","perspective"];function _getCachedElement(selector){return _cachedElements[selector]}function _setCachedElement(selector){_cachedElements[selector]=_getCachedElement(selector)||$(selector);return _cachedElements[selector]}function _padMilliseconds(milliseconds){var max="000000";return(max+milliseconds).slice(-max.length)}function _isValidEasing(alias){return $.cssEase[alias]!==undefined?true:false}function _formatUnit(val,currentVal,unit){var result,relativeUnit;if(typeof val==="string"){relativeUnit=val.match(/^(-|\+)|(=)|([0-9]+$)/g);if(unit===""){result=val}else if(relativeUnit&&relativeUnit.length===3){currentVal=currentVal.replace(/deg|px/,"");if(relativeUnit[0]==="-"){result=currentVal-relativeUnit[2]+unit}else if(relativeUnit[0]==="+"){result=currentVal+relativeUnit[2]+unit}}else if(!/^[0-9]+$/.test(val)){result=val}}else{result=val.toString()+unit}return result}function _id(){return _.uniqueId("laser_tr_")}function _camelCase(string){return string.replace(/-([a-z])/gi,function(all,letter){return letter.toUpperCase()})}function _upperCase(string){return string.charAt(0).toUpperCase()+string.slice(1)}function _getPrefix(prop){var prefix,propBrowserTest=_camelCase(prop);_.each(_omPrefixes,function(val){if(_objList[val+_upperCase(propBrowserTest)]===""){prefix={css:"-"+val.toLowerCase()+"-",om:val}}if(_objList[prop.toLowerCase()]===""){prefix={css:"",om:""}}});return prefix}function _getPropertyName(prop){return{css:_getPrefix(prop).css+prop.toLowerCase(),om:_getPrefix(prop).om+prop}}function _createTransitionCSS(params,startParams,duration,easing){var css=_createAnimationCSS(params,startParams);css[_getPropertyName("transition-duration").css]=_formatDuration(duration);css[_getPropertyName("transition-timing-function").css]=$.cssEase[easing];return css}function _createAnimationCSS(params,startParams,prefixed){var cur,unit,transformString;var css={};prefixed=prefixed===null?true:prefixed;_.each(params,function(val,key){cur=startParams[key];if(_.contains(_transformTypes,key)){unit=key==="perspective"?"px":"deg";unit=key==="scale"?"":unit;if(transformString===""){transformString+=" "+key+"("+_formatUnit(val,cur,unit)+") "}else{transformString=key+"("+_formatUnit(val,cur,unit)+") "}}else{unit=key==="opacity"?"":"px";css[prefixed?_getPropertyName(key).css:key]=_formatUnit(val,cur,unit)}});if(transformString!==undefined){css[prefixed?_getPropertyName("Transform").css:"transform"]=transformString}return css}function _formatDuration(val){if(typeof val==="string"&&!/^[0-9]+$/.test(val)){return val}return val/1e3+"s"}function _isTransform(val){return/(rotate|scale)/.test(val)}var Animation=function Animation(params){_.extend(this,params);this.state="ON_STACK";this.originalStyle=this.$elem.attr("data-original-style");if(this.originalStyle===undefined){this.originalStyle=this.$elem.attr("style");this.$elem.attr("data-original-style",this.originalStyle)}return this};Animation.prototype={getCurrentParams:function(){var params={};_.forEach(this.params,function(val,key){if(_isTransform(key)){params.transform=this.$elem.css(key)}params[key]=this.$elem.css(key)},this);return params},play:function(){this.startParams=this.getCurrentParams();this.state="PLAYING";this.active=true;this.transition()},complete:function(){this.sequence.trigger("animation:completed",this);this.state="COMPLETED";this.active=false},pause:function(){this.pausedStyle=this.$elem.attr("style");_.forEach(this.getCurrentParams(),function(val,key){this.$elem.css(key,this.$elem.css(key))},this);this.$elem.removeClass(this.id);this.state="PAUSED"},resume:function(){this.$elem.addClass(this.id);_.forEach(this.getCurrentParams(),function(val,key){this.$elem.css(key,"")},this);this.completeTimeout=setTimeout(_.bind(function(){this.complete()},this),this.options.duration);this.state="PLAYING"},rewind:function(){this.$elem.addClass("rewind-shim");this.$elem.removeClass(this.id);this.completeTimeout=setTimeout(_.bind(function(){this.complete();this.$elem.removeClass("rewind-shim")},this),this.options.duration)},transition:function(){this.$elem.css(_createTransitionCSS(this.params,this.startParams,this.options.duration,this.options.easing));this.completeTimeout=setTimeout(_.bind(function(){this.complete()},this),this.options.duration)}};Laser.prototype={elapsed:function(){return(new Date).getTime()-this.startedAt},log:function(message){if(!this.console||!this.DEBUG){return}var log,args,name;name=this.name||"NO NAME";args=Array.prototype.slice.call(arguments);args[0]="LASER ["+_padMilliseconds(this.elapsed())+"] > "+message+' "'+name+'"';log=Function.prototype.bind.call(console.log,console);log.apply(console,args)},get:function(attr,where){if(where===undefined){return this[attr]}else{return _.where(this[attr],where)}},set:function(attr,where,params){var item=this.get(attr,where);if(item===undefined){return undefined}else{_.forEach(params,function(val,key){item[key]=val},this);return item}},on:function(name,fn){this.listeners[name]=this.listeners[name]||[];this.listeners[name].push(fn);return this},off:function(name,fn){if(this.listeners[name]){this.listeners[name].splice(this.listeners[name].indexOf(fn),1)}else{this.listeners={};if(_.isArray(this.timers)){_.each(this.timers,function(timeout){clearTimeout(timeout)})}}return this},trigger:function(name){if(this.listeners[name]){var args=Array.prototype.slice.call(arguments,1);_.forEach(this.listeners[name],function(val,index,obj){val.apply(this,args)},this)}return this},add:function(selector,params,options){var when,sequence=this,$elem=_setCachedElement(selector);when=options.when||0;options.easing=options.easing||"easeOutExpo";if(!_isValidEasing(options.easing)){if(!_isValidEasing("easeOutExpo")){throw new Error("Unknown easing method! - "+options.easing)}else{options.easing="easeOutExpo"}}options.duration=options.duration||500;this.animations.push(new Animation({id:_id(),when:when,active:false,params:params,options:options,sequence:sequence,selector:selector,$elem:$elem}));return this},addEasing:function(alias,easing){$.cssEase[alias]=easing;return this},onAnimated:function(){if(this.padTime){setTimeout(_.bind(function(){this.log("sequence completed");this.trigger("sequence:completed")},this),this.padTime)}else{this.log("sequence completed");this.trigger("sequence:completed")}},onAnimationComplete:function(animation){this.remaining--;if(this.remaining===0){this.trigger("sequence:animated")}if(this.remaining<0&&window.console){console.warn("Remaining animations count should not be below 0",this.name)}},start:function(){if(this.getState()==="paused"){return this.resume()}var animations=this.get("animations");this.startedAt=(new Date).getTime();this.remaining=animations.length;this.trigger("sequence:started",this.remaining);this.log("starting sequence");_.forEach(animations,function(val,index){val.whenTimeout=setTimeout(_.bind(function(){val.play()},this),val.when)},this);this.on("sequence:animated",function(){this.onAnimated();this.log("animated sequence")});this.on("animation:completed",function(animation){this.onAnimationComplete(animation)});this.state="playing";return this},wait:function(milliseconds){this.padTime=milliseconds;return this},pause:function(){if(this.getState()==="paused"){return this}this.pausedAt=this.elapsed();this.log("pausing");_.forEach(this.get("animations"),function(val,index){switch(val.state){case"STOPPED":break;case"ON_STACK":val.state="ON_STACK_RESET";clearTimeout(val.whenTimeout);break;case"PLAYING":clearTimeout(val.completeTimeout);val.pause();break}},this);this.trigger("sequence:paused");this.state="paused";return this},resume:function(){var PAUSE_OFFSET=this.pausedAt;this.log("resuming");_.forEach(this.get("animations"),function(val,index){if(!_isTransition){val.$elem.resume();return}switch(val.state){case"PAUSED":val.resume();break;case"ON_STACK_RESET":val.whenTimeout=setTimeout(_.bind(function(){val.play()},this),val.when-PAUSE_OFFSET);this.state="ON_STACK";break}},this);this.trigger("sequence:resuming");this.state="resuming";return this},rewind:function(){var runTime,reversedAnimations,PAUSE_OFFSET;this.pause();PAUSE_OFFSET=this.pausedAt;runTime=this.getRunTime();this.log("rewinding");reversedAnimations=_.map(this.get("animations"),function(val,index){val.when=runTime-val.when-val.options.duration;return val},this);reversedAnimations.reverse();_.forEach(reversedAnimations,function(val,index){val.whenTimeout=setTimeout(_.bind(function(){val.rewind()},this),val.when)},this);this.direction="rewind";this.remaining=reversedAnimations.length;this.trigger("sequence:rewinding");this.state="rewinding";return this},getRunTime:function(){var last,animations=this.get("animations");last=animations[animations.length-1];return last.when+last.options.duration},getState:function(){return this.state},getName:function(){return this.name},setName:function(name){this.name=name;return this}}})(window);